Skip to main content

Create Order

Place an order against a market ad.

HTTP Request

  • POST /api/v3/fiat/merchant/order/deal

Required Permission: P2P Deal Order

Request Parameters

NameTypeMandatoryDescription
advNostringyesAd ID
amountBigDecimalnoPurchase amount (for buy orders)
tradableQuantityBigDecimalnoPurchase quantity (for sell orders)
userConfirmPaymentIdlongconditionalUser payment account ID. Required when acting as Taker to sell crypto (specifies receiving account). Optional when buying.
userConfirmPayMethodIdlongconditionalPayment method type ID. Required when acting as Taker to buy crypto (selects counterparty's payment method). Not needed when selling.

Response Parameters

NameTypeDescription
datastringOrder number (advOrderNo)

Response

{
"code": 0,
"msg": "success",
"data": "d1375750128856004608"
}